Register a target database group for Data Safe onboarding
post
https://EM_HOST:8080/em/api/databases/dataSafeOnboardings/actions/registerTargetDatabaseGroup
Submits the Data Safe registration procedure for the provided EM group and OCI settings.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest payload for Data Safe registration inputs.
Show Source
-
dataSafeConnectorId(required): string
OCID of the Data Safe on-prem connector.
-
dbSysNamedCredentialName: string
Optional named credential for SYSDBA access.
-
dbTargetGroupName(required): string
EM database group name to onboard.
-
ociCompartmentId(required): string
OCI compartment OCID for Data Safe resources.
-
ociCredentialName(required): string
EM credential name for OCI authentication.
-
region(required): string
OCI region identifier.
Response
Supported Media Types
- application/json
202 Response
Registration procedure submitted successfully.
Headers
-
Location:
URL to poll for the submitted Data Safe onboarding status.
Root Schema : DataSafeOnboardingSubmission
Type:
objectResponse returned after the Data Safe registration procedure is submitted.
Show Source
-
message(required): string
Human-readable submission result.
-
procedureName(required): string
Submitted procedure name.
-
submissionId(required): string
Procedure submission identifier returned by Enterprise Manager.
-
timeSubmitted(required): string
(date-time)
Submission timestamp.
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
409 Response
Duplicate Resource
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message